<template>
  <Panel :parametros="parametros" @cerrar="cerrar" ref="panel" />
</template>

<script setup lang="ts">
import Panel from "@/components/becas/actualizacion/abm/Panel.vue";
import { computed, onMounted } from "vue";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb, isEmpty } from "@/shared.js";
import type { RouteLocationRaw } from 'vue-router';
import { useRoute, useRouter } from "vue-router";

const route = useRoute();
const router = useRouter();
const { breadcrumb } = useBreadcrumb();

const parametros = computed(() => ({
  id_beca: !isEmpty(route.params.id_beca) ? Number(route.params.id_beca) : null,
  id_tabla_sol: !isEmpty(route.params.id_tabla_sol) ? Number(route.params.id_tabla_sol) : null,
  es_abm: !isEmpty(route.params.es_abm) ? Number(route.params.es_abm) : null,
}));

onMounted(() => {
  const routes: BreadCrumbRoute[] = [
    {
      name: 'becasActualizacion',
      params: {
        id_tabla_sol: String(parametros.value.id_tabla_sol)
      }
    },
    { name: "becasActualizacionAbm" }
  ];
  breadcrumb?.initRoutes(routes);
});

function cerrar() {
  const route: RouteLocationRaw = {
    name: 'becasActualizacion',
    params: {
      id_tabla_sol: parametros.value.id_tabla_sol
    }
  };
  router.push(route);
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
